## gnome-builder 3.36.0

=== meson_options.txt ===
option('tracing', type: 'boolean', value: false, description: 'Enable tracing of internals for troubleshooting Builder')
option('profiling', type: 'boolean', value: false, description: 'Enable profiling of the Builder codebase')
option('fusermount_wrapper', type: 'boolean', value: false, description: 'Install fusermount-wrapper when distributing with flatpak')
option('tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')

option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')

option('channel',
          type: 'combo',
       choices: [ 'other', 'flatpak-stable', 'flatpak-beta', 'flatpak-nightly' ],
   description: 'The distribution channel for Builder',
)

option('help', type: 'boolean', value: false)
option('docs', type: 'boolean', value: false)

option('network_tests', type: 'boolean', value: true, description: 'Allow networking in unit-tests')

option('ctags_path', type: 'string', value: '')

option('python_libprefix', type: 'string')

option('plugin_autotools', type: 'boolean')
option('plugin_beautifier', type: 'boolean')
option('plugin_c_pack', type: 'boolean')
option('plugin_cargo', type: 'boolean')
option('plugin_clang', type: 'boolean')
option('plugin_cmake', type: 'boolean')
option('plugin_code_index', type: 'boolean')
option('plugin_color_picker', type: 'boolean')
option('plugin_copyright', type: 'boolean')
option('plugin_ctags', type: 'boolean')
option('plugin_devhelp', type: 'boolean')
option('plugin_deviced', type: 'boolean', value: false)
option('plugin_dspy', type: 'boolean')
option('plugin_editorconfig', type: 'boolean')
option('plugin_eslint', type: 'boolean')
option('plugin_file_search', type: 'boolean')
option('plugin_flatpak', type: 'boolean')
option('plugin_gdb', type: 'boolean')
option('plugin_gettext', type: 'boolean')
option('plugin_git', type: 'boolean')
option('plugin_gjs_symbols', type: 'boolean')
option('plugin_glade', type: 'boolean')
option('plugin_gnome_code_assistance', type: 'boolean')
option('plugin_go_langserv', type: 'boolean')
option('plugin_gradle', type: 'boolean')
option('plugin_grep', type: 'boolean')
option('plugin_gvls', type: 'boolean')
option('plugin_html_completion', type: 'boolean')
option('plugin_html_preview', type: 'boolean')
option('plugin_jedi', type: 'boolean')
option('plugin_jhbuild', type: 'boolean')
option('plugin_make', type: 'boolean')
option('plugin_maven', type: 'boolean')
option('plugin_meson', type: 'boolean')
option('plugin_modelines', type: 'boolean')
option('plugin_mono', type: 'boolean')
option('plugin_newcomers', type: 'boolean')
option('plugin_notification', type: 'boolean')
option('plugin_npm', type: 'boolean')
option('plugin_phpize', type: 'boolean')
option('plugin_podman', type: 'boolean')
option('plugin_python_pack', type: 'boolean')
option('plugin_qemu', type: 'boolean')
option('plugin_quick_highlight', type: 'boolean')
option('plugin_retab', type: 'boolean')
option('plugin_rls', type: 'boolean')
option('plugin_rustup', type: 'boolean')
option('plugin_shellcmd', type: 'boolean')
option('plugin_spellcheck', type: 'boolean')
option('plugin_stylelint', type: 'boolean')
option('plugin_sysprof', type: 'boolean')
option('plugin_sysroot', type: 'boolean')
option('plugin_todo', type: 'boolean')
option('plugin_update_manager', type: 'boolean')
option('plugin_vala', type: 'boolean', value: false)
option('plugin_vagrant', type: 'boolean', value: false)
option('plugin_valgrind', type: 'boolean')
option('plugin_waf', type: 'boolean')
option('plugin_words', type: 'boolean')
option('plugin_xml_pack', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.36.0-3) unstable; urgency=medium

  * d/p/meson-Add-generated-lsp-enum-header-to-lsp-sources.patch: Fix FTBFS.
    Avoid race condition by adding generated lsp enum header to lsp sources
    (Closes: #952582)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Apr 2020 10:56:16 +0200

gnome-builder (3.36.0-2) unstable; urgency=medium

  * debian/control.in: Fix the version of gir1.2-glib-2.0 to make it
    installable again, oups (Closes: #953398)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 23:47:48 +0100

gnome-builder (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Tighten the runtime dependencies a bit

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 16:39:33 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-builder
Section: editors
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream-util,
               at-spi2-core <!nocheck>,
               ca-certificates <!nocheck>,
               dbus <!nocheck>,
               python3-gi (>= 3.22.0),
               python3:any,
               debhelper-compat (= 12),
               desktop-file-utils,
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-sequence-python3,
               exuberant-ctags,
               gnome-pkg-tools,
               gobject-introspection (>= 1.48.0),
               libclang-dev,
               libdazzle-1.0-dev (>= 3.33.90),
               libdevhelp-dev (>= 3.20.0),
               libenchant-dev (>= 1.6.0),
               libflatpak-dev (>= 0.6.9) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libgit2-glib-1.0-dev (>= 0.28.0.1),
               libgladeui-dev,
               libjsonrpc-glib-1.0-dev (>= 3.30.1),
               libsoup2.4-dev,
               libglib2.0-dev (>= 2.61.2),
               libgspell-1-dev (>= 1.2.0),
               libgtk-3-dev (>= 3.22.1),
               libgtksourceview-4-dev (>= 4.0.0),
               libjson-glib-dev (>= 0.1.0),
               libpango1.0-dev (>= 1.38.0),
               libpcre3-dev,
               libpeas-dev (>= 1.22.0),
               libtemplate-glib-1.0-dev (>= 3.28.0),
               libvala-dev,
               libvte-2.91-dev (>= 0.46),
               libwebkit2gtk-4.0-dev (>= 2.22),
               libxml2-dev (>= 2.9.0),
               llvm,
               llvm-dev,
               meson (>= 0.50.0),
               mm-common,
               sysprof (>= 3.33.4) [linux-any],
               valac (>= 0.40),
               xauth <!nocheck>,
               xvfb <!nocheck>,
# Don't (re)build libide api docs for now:
#               gtk-doc-tools,
Rules-Requires-Root: no
Standards-Version: 4.5.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
Homepage: https://wiki.gnome.org/Apps/Builder

Package: gnome-builder
Architecture: any
Depends: exuberant-ctags,
         gir1.2-ggit-1.0 (>= 0.28.0.1),
         gir1.2-glib-2.0 (>= 1.62.0),
         gir1.2-gtk-3.0 (>= 3.22.1),
         gir1.2-gtksource-4 (>= 4.0.0),
         gir1.2-jsonrpc-1.0 (>= 3.30.1),
         gir1.2-peas-1.0 (>= 1.22.0),
         gir1.2-webkit2-4.0 (>= 2.8.4),
         python3-gi,
         libvala-dev,
         clang,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: build-essential,
            flatpak-builder [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
            gettext,
            meson,
            pkg-config,
            python3-jedi,
            python3-lxml,
            sysprof (>= 3.33.4) [linux-any],
            valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32]
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 our platform to more developers than ever before.
 .
 Builder attempts to be an IDE for writing software for GNOME. It does not try
 to be a generic IDE, but one specialized for GNOME application developers.

## gnome-builder 3.36.1

=== debian/changelog ===
gnome-builder (3.36.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Among other fixes, there is an updated German translation
      (Closes: #922640)
  * d/p/meson-Add-generated-lsp-enum-header-to-lsp-sources.patch:
    Drop patch, applied upstream
  * Add post-release fixes from upstream 3.36 branch, up to 3.36.1-9-gb99463102
  * d/control.in: Switch build-dependency from enchant to enchant-2.
    Thanks to peter green (Closes: #969569)

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Sep 2020 15:01:42 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libclang-dev,
                libdazzle-1.0-dev (>= 3.33.90),
                libdevhelp-dev (>= 3.20.0),
-               libenchant-dev (>= 1.6.0),
+               libenchant-2-dev,
                libflatpak-dev (>= 0.6.9) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgit2-glib-1.0-dev (>= 0.28.0.1),
                libgladeui-dev,

## gnome-builder 3.37.92

=== debian/changelog ===
gnome-builder (3.37.92-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
  * d/control.in: Update build-dependency versions
  * d/copyright: Update
  * Remove patches.
    Most came from upstream, and d/p/fix-build-with-multiarch.patch doesn't
    seem to be necessary any more.
  * d/gnome-builder.install: Remove gtksourceview-3.0 data, no longer installed
  * d/gnome-builder.install: Redirect PyGI overrides to the right place

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 19:28:20 +0100

## gnome-builder 3.38.0

=== debian/changelog ===
gnome-builder (3.38.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/upstream/metadata: Add
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Sep 2020 09:47:02 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
                libclang-dev,
-               libdazzle-1.0-dev (>= 3.33.90),
+               libdazzle-1.0-dev (>= 3.37.0),
                libdevhelp-dev (>= 3.20.0),
                libenchant-2-dev,
                libflatpak-dev (>= 0.6.9) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
@@ -30,7 +30,7 @@
                libgladeui-dev,
                libjsonrpc-glib-1.0-dev (>= 3.30.1),
                libsoup2.4-dev,
-               libglib2.0-dev (>= 2.61.2),
+               libglib2.0-dev (>= 2.65.0),
                libgspell-1-dev (>= 1.2.0),
                libgtk-3-dev (>= 3.22.1),
                libgtksourceview-4-dev (>= 4.0.0),
@@ -41,13 +41,13 @@
                libtemplate-glib-1.0-dev (>= 3.28.0),
                libvala-dev,
                libvte-2.91-dev (>= 0.46),
-               libwebkit2gtk-4.0-dev (>= 2.22),
+               libwebkit2gtk-4.0-dev (>= 2.26),
                libxml2-dev (>= 2.9.0),
                llvm,
                llvm-dev,
-               meson (>= 0.50.0),
+               meson (>= 0.54.0),
                mm-common,
-               sysprof (>= 3.33.4) [linux-any],
+               sysprof (>= 3.37.1) [linux-any],
                valac (>= 0.40),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## gnome-builder 3.38.1

=== debian/changelog ===
gnome-builder (3.38.1-1build3) hirsute; urgency=medium

  * Rebuilt for the new libglade soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 14 Dec 2020 21:58:16 +0100

gnome-builder (3.38.1-1build1) hirsute; urgency=medium

  * Rebuild against new libgit2-1.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Dec 2020 10:31:57 +0100

gnome-builder (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Oct 2020 07:46:01 -0400

gnome-builder (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Add missing build-dependency on libpolkit-gobject-1-dev.
    The sysprof development files need this, but it isn't a hard dependency
    because the sysprof package is mostly used for purposes other than
    compiling against its libraries. Ideally src:sysprof should have one or
    more separate binary packages for development files, but that will
    require a trip through the NEW queue. (Closes: #971112)

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 21:26:13 +0100

## gnome-builder 3.38.2

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 option('tracing', type: 'boolean', value: false, description: 'Enable tracing of internals for troubleshooting Builder')
 option('profiling', type: 'boolean', value: false, description: 'Enable profiling of the Builder codebase')
-option('fusermount_wrapper', type: 'boolean', value: false, description: 'Install fusermount-wrapper when distributing with flatpak')
 option('tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')
 
 option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')
@@ -18,14 +17,13 @@
 
 option('ctags_path', type: 'string', value: '')
 
-option('python_libprefix', type: 'string')
-
 option('plugin_autotools', type: 'boolean')
 option('plugin_beautifier', type: 'boolean')
 option('plugin_c_pack', type: 'boolean')
 option('plugin_cargo', type: 'boolean')
 option('plugin_clang', type: 'boolean')
 option('plugin_cmake', type: 'boolean')
+option('plugin_codespell', type: 'boolean')
 option('plugin_code_index', type: 'boolean')
 option('plugin_color_picker', type: 'boolean')
 option('plugin_copyright', type: 'boolean')
@@ -65,7 +63,8 @@
 option('plugin_qemu', type: 'boolean')
 option('plugin_quick_highlight', type: 'boolean')
 option('plugin_retab', type: 'boolean')
-option('plugin_rls', type: 'boolean')
+option('plugin_rls', type: 'boolean', value: false)
+option('plugin_rust_analyzer', type: 'boolean')
 option('plugin_rustup', type: 'boolean')
 option('plugin_shellcmd', type: 'boolean')
 option('plugin_spellcheck', type: 'boolean')
@@ -74,7 +73,7 @@
 option('plugin_sysroot', type: 'boolean')
 option('plugin_todo', type: 'boolean')
 option('plugin_update_manager', type: 'boolean')
-option('plugin_vala', type: 'boolean', value: false)
+option('plugin_vala', type: 'boolean')
 option('plugin_vagrant', type: 'boolean', value: false)
 option('plugin_valgrind', type: 'boolean')
 option('plugin_waf', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.38.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Mar 2021 17:18:38 +0100

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
+               libpolkit-gobject-1-dev (>= 0.105),
                libtemplate-glib-1.0-dev (>= 3.28.0),
                libvala-dev,
                libvte-2.91-dev (>= 0.46),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

# Explicitly disable this plugin which defaults to enabled
# unless we're on linux architectures.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq (linux,$(DEB_HOST_ARCH_OS))
SYSPROF_PLUGIN = -Dplugin_sysprof=true
else
SYSPROF_PLUGIN = -Dplugin_sysprof=false
endif

ifneq (,$(filter amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32,$(DEB_HOST_ARCH)))
VALGRIND_PLUGIN = -Dplugin_valgrind=true
else
VALGRIND_PLUGIN = -Dplugin_valgrind=false
endif

# Enable Flatpak support on supported architectures
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
	FLATPAK_PLUGIN = -Dplugin_flatpak=true
else
	FLATPAK_PLUGIN = -Dplugin_flatpak=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dnetwork_tests=false \
		-Dplugin_update_manager=false \
		$(FLATPAK_PLUGIN) \
		$(SYSPROF_PLUGIN) \
		$(VALGRIND_PLUGIN)

# force debian/tmp installation for now until we ship
# more than one binary package, then this can be dropped...
override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

CHECK_RUNTIME_DIR= $(CURDIR)/debian/tmp/run

override_dh_auto_test:
	mkdir -p -m0700 $(CHECK_RUNTIME_DIR)
	HOME=$(CHECK_RUNTIME_DIR) dbus-run-session -- xvfb-run dh_auto_test

override_dh_install:
	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
	rm -rf debian/tmp/usr/include/gnome-builder-*
	dh_install -Xpkgconfig -Xgir-1.0

override_dh_missing:
	# see debian/not-installed and bgo#758266 + #804769
	dh_missing --fail-missing -Xpkgconfig

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/gnome-builder/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/gnome-builder/gir-1.0 \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/ \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/girepository-1.0/

override_dh_python3:
# https://bugs.debian.org/838342
	dh_python3 -X.*/plugins/meson_templates/resources/.*

## gnome-builder 3.40.2

=== meson_options.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 option('plugin_file_search', type: 'boolean')
 option('plugin_flatpak', type: 'boolean')
 option('plugin_gdb', type: 'boolean')
+option('plugin_gdiagnose', type: 'boolean')
 option('plugin_gettext', type: 'boolean')
 option('plugin_git', type: 'boolean')
 option('plugin_gjs_symbols', type: 'boolean')
@@ -65,7 +66,6 @@
 option('plugin_retab', type: 'boolean')
 option('plugin_rls', type: 'boolean', value: false)
 option('plugin_rust_analyzer', type: 'boolean')
-option('plugin_rustup', type: 'boolean')
 option('plugin_shellcmd', type: 'boolean')
 option('plugin_spellcheck', type: 'boolean')
 option('plugin_stylelint', type: 'boolean')

=== debian/changelog ===
gnome-builder (3.40.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on libportal-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Jun 2021 13:36:30 +0200

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
                libpolkit-gobject-1-dev (>= 0.105),
+               libportal-dev,
                libtemplate-glib-1.0-dev (>= 3.28.0),
                libvala-dev,
                libvte-2.91-dev (>= 0.46),

## gnome-builder 41.1

=== debian/changelog ===
gnome-builder (41.1-3) unstable; urgency=medium

  * Team upload
  * Adjust location of g-i overrides for Meson 0.60.0 (Closes: #997405)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 21:08:40 +0100

gnome-builder (41.1-2) unstable; urgency=medium

  * debian/gnome-builder.install: Install gnome-builder-flatpak
    (Closes: #995280)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 29 Sep 2021 03:57:47 -0400

gnome-builder (41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libcmark-dev
  * debian/control.in: Bump minimum glib to 2.69.1, gtk3 to 3.24,
    & flatpak to 1.11.2

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 26 Sep 2021 18:26:27 -0400

gnome-builder (3.40.2-3) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/watch: Update to follow the new version scheme

  [ Jeremy Bicha ]
  * Build-Depend on libsysprof-ui-4-dev. Drop unnecessary Recommends: sysprof
  * Drop no longer needed debian/not-installed and dh_install -X rules
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Sep 2021 20:50:07 -0400

gnome-builder (3.40.2-2) experimental; urgency=medium

  * debian/control.in: Bump glib BD to 2.67.3, needed for g_memdup2()

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Aug 2021 16:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -22,17 +22,18 @@
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
                libclang-dev,
+               libcmark-dev (>= 0.29.0),
                libdazzle-1.0-dev (>= 3.37.0),
                libdevhelp-dev (>= 3.20.0),
                libenchant-2-dev,
-               libflatpak-dev (>= 0.6.9) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+               libflatpak-dev (>= 1.11.2) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgit2-glib-1.0-dev (>= 0.28.0.1),
                libgladeui-dev,
                libjsonrpc-glib-1.0-dev (>= 3.30.1),
                libsoup2.4-dev,
-               libglib2.0-dev (>= 2.65.0),
+               libglib2.0-dev (>= 2.69.1),
                libgspell-1-dev (>= 1.2.0),
-               libgtk-3-dev (>= 3.22.1),
+               libgtk-3-dev (>= 3.24),
                libgtksourceview-4-dev (>= 4.0.0),
                libjson-glib-dev (>= 0.1.0),
                libpango1.0-dev (>= 1.38.0),
@@ -49,7 +50,7 @@
                llvm-dev,
                meson (>= 0.54.0),
                mm-common,
-               sysprof (>= 3.37.1) [linux-any],
+               libsysprof-ui-4-dev (>= 3.37.1) [linux-any],
                valac (>= 0.40),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -67,11 +68,11 @@
 Depends: exuberant-ctags,
          gir1.2-ggit-1.0 (>= 0.28.0.1),
          gir1.2-glib-2.0 (>= 1.62.0),
-         gir1.2-gtk-3.0 (>= 3.22.1),
+         gir1.2-gtk-3.0 (>= 3.24),
          gir1.2-gtksource-4 (>= 4.0.0),
          gir1.2-jsonrpc-1.0 (>= 3.30.1),
          gir1.2-peas-1.0 (>= 1.22.0),
-         gir1.2-webkit2-4.0 (>= 2.8.4),
+         gir1.2-webkit2-4.0 (>= 2.26),
          python3-gi,
          libvala-dev,
          clang,
@@ -86,7 +87,6 @@
             pkg-config,
             python3-jedi,
             python3-lxml,
-            sysprof (>= 3.33.4) [linux-any],
             valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32]
 Description: IDE for GNOME
  Builder is a new IDE for GNOME that is focused on bringing the power of

## gnome-builder 41.2

=== debian/changelog ===
gnome-builder (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Nov 2021 13:31:01 -0500

## gnome-builder 41.3

=== debian/changelog ===
gnome-builder (41.3-4) unstable; urgency=medium

  * Team upload
  * Release to unstable for libportal transition (#1003085)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Jan 2022 10:33:12 +0000

gnome-builder (41.3-3) experimental; urgency=medium

  * Team upload
  * d/control.in: Use libportal 0.5
  * d/p/build-use-libportal-0.5.patch:
    Add patch from upstream to fix build against libportal 0.5

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Jan 2022 18:56:56 +0000

gnome-builder (41.3-2) unstable; urgency=medium

  * Cherry-pick from upstream two patches for the flatpak plugin.
    One of these patches should fixe the FTBFS on 32 bits architectures

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Dec 2021 11:18:56 +0100

gnome-builder (41.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Dec 2021 22:58:17 -0500

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,8 @@
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
                libpolkit-gobject-1-dev (>= 0.105),
-               libportal-dev,
+               libportal-dev (>= 0.5),
+               libportal-gtk3-dev (>= 0.5),
                libtemplate-glib-1.0-dev (>= 3.28.0),
                libvala-dev,
                libvte-2.91-dev (>= 0.46),

=== debian/rules ===
--- 
+++ 
@@ -40,21 +40,20 @@
 # more than one binary package, then this can be dropped...
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
+	# Meson 0.60.0 installs to python3/dist-packages, older versions
+	# installed to python3.x/site-packages. Stay compatible with both
+	# for now
+	if ! [ -d debian/tmp/usr/lib/python3/dist-packages/gi/overrides ]; then \
+		install -d debian/tmp/usr/lib/python3/dist-packages/gi; \
+		mv debian/tmp/usr/lib/python3*/site-packages/gi/overrides \
+			debian/tmp/usr/lib/python3/dist-packages/gi; \
+	fi
 
 CHECK_RUNTIME_DIR= $(CURDIR)/debian/tmp/run
 
 override_dh_auto_test:
 	mkdir -p -m0700 $(CHECK_RUNTIME_DIR)
 	HOME=$(CHECK_RUNTIME_DIR) dbus-run-session -- xvfb-run dh_auto_test
-
-override_dh_install:
-	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
-	rm -rf debian/tmp/usr/include/gnome-builder-*
-	dh_install -Xpkgconfig -Xgir-1.0
-
-override_dh_missing:
-	# see debian/not-installed and bgo#758266 + #804769
-	dh_missing --fail-missing -Xpkgconfig
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder

## gnome-builder 42~beta1

=== debian/changelog ===
gnome-builder (42~beta1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/control.in: Bump minimum meson & vte
  * debian/control.in: Build-Depend on libhandy & jsonrpc-glib
  * Suggest rubocop for Ruby. Drop no longer needed python3-jedi
  * Build-Depend on and Recommend valgrind-if-available instead of valgrind
    directly

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 19:43:50 -0500

## gnome-builder 42~rc1

=== meson_options.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 option('tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')
 
 option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')
+
+option('gnome_sdk_version', type: 'string', value: 'master', description: 'The GNOME SDK release to use for templates')
 
 option('channel',
           type: 'combo',
@@ -17,11 +19,16 @@
 
 option('ctags_path', type: 'string', value: '')
 
+option('webkit', type: 'feature', value: 'enabled', description: 'Enable features which require WebKit')
+
 option('plugin_autotools', type: 'boolean')
 option('plugin_beautifier', type: 'boolean')
+option('plugin_blueprint', type: 'boolean')
 option('plugin_c_pack', type: 'boolean')
 option('plugin_cargo', type: 'boolean')
 option('plugin_clang', type: 'boolean')
+option('plugin_clangd', type: 'boolean', value: false)
+option('plugin_clang_format', type: 'boolean')
 option('plugin_cmake', type: 'boolean')
 option('plugin_codespell', type: 'boolean')
 option('plugin_code_index', type: 'boolean')
@@ -48,7 +55,8 @@
 option('plugin_gvls', type: 'boolean')
 option('plugin_html_completion', type: 'boolean')
 option('plugin_html_preview', type: 'boolean')
-option('plugin_jedi', type: 'boolean')
+option('plugin_intelephense', type: 'boolean')
+option('plugin_jedi_language_server', type: 'boolean')
 option('plugin_jhbuild', type: 'boolean')
 option('plugin_make', type: 'boolean')
 option('plugin_maven', type: 'boolean')
@@ -65,6 +73,8 @@
 option('plugin_quick_highlight', type: 'boolean')
 option('plugin_retab', type: 'boolean')
 option('plugin_rls', type: 'boolean', value: false)
+option('plugin_rstcheck', type: 'boolean')
+option('plugin_rubocop', type: 'boolean')
 option('plugin_rust_analyzer', type: 'boolean')
 option('plugin_shellcmd', type: 'boolean')
 option('plugin_spellcheck', type: 'boolean')
@@ -72,10 +82,12 @@
 option('plugin_sysprof', type: 'boolean')
 option('plugin_sysroot', type: 'boolean')
 option('plugin_todo', type: 'boolean')
+option('plugin_ts_language_server', type: 'boolean')
 option('plugin_update_manager', type: 'boolean')
 option('plugin_vala', type: 'boolean')
 option('plugin_vagrant', type: 'boolean', value: false)
 option('plugin_valgrind', type: 'boolean')
+option('plugin_vls', type: 'boolean')
 option('plugin_waf', type: 'boolean')
 option('plugin_words', type: 'boolean')
 option('plugin_xml_pack', type: 'boolean')

=== debian/changelog ===
gnome-builder (42~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 09:34:21 -0500

## gnome-builder 42.0

=== meson_options.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
 option('plugin_go_langserv', type: 'boolean')
 option('plugin_gradle', type: 'boolean')
 option('plugin_grep', type: 'boolean')
-option('plugin_gvls', type: 'boolean')
+option('plugin_gvls', type: 'boolean', value: false)
 option('plugin_html_completion', type: 'boolean')
 option('plugin_html_preview', type: 'boolean')
 option('plugin_intelephense', type: 'boolean')

=== src/plugins/make/resources/Makefile ===
all: {{exec_name}}


{{if language == "c"}}
WARNINGS = -Wall
DEBUG = -ggdb -fno-omit-frame-pointer
OPTIMIZE = -O2

{{else if language == "c++"}}
WARNINGS = -Wall -Weffc++ -Wextra -Wsign-conversion -pedantic-errors
DEBUG = -ggdb -fno-omit-frame-pointer
OPTIMIZE = -O2
STANDARD = -std=c++2a
{{end}}

{{if language == "c"}}
{{exec_name}}: Makefile {{exec_name}}.c
	$(CC) -o $@ $(WARNINGS) $(DEBUG) $(OPTIMIZE) {{exec_name}}.c
{{else if language == "c++"}}
{{exec_name}}: Makefile {{exec_name}}.cpp
	$(CXX) -o $@ $(WARNINGS) $(DEBUG) $(OPTIMIZE) $(STANDARD) {{exec_name}}.cpp
{{end}}

clean:
	rm -f {{exec_name}}


# Builder will call this to install the application before running.
install:
	echo "Installing is not supported"

# Builder uses this target to run your application.
run:
	./{{exec_name}}

=== debian/changelog ===
gnome-builder (42.0-1) unstable; urgency=medium

  * New upstream release
  * Add patch to fix AppStream metadata validation test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 16:02:26 -0400

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
                libflatpak-dev (>= 1.11.2) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgit2-glib-1.0-dev (>= 0.28.0.1),
                libgladeui-dev,
+               libhandy-1-dev (>= 1.5.90),
                libjsonrpc-glib-1.0-dev (>= 3.30.1),
                libsoup2.4-dev,
                libglib2.0-dev (>= 2.69.1),
@@ -36,6 +37,7 @@
                libgtk-3-dev (>= 3.24),
                libgtksourceview-4-dev (>= 4.0.0),
                libjson-glib-dev (>= 0.1.0),
+               libjsonrpc-glib-1.0-dev (>= 3.41.0),
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-dev (>= 1.22.0),
@@ -44,15 +46,16 @@
                libportal-gtk3-dev (>= 0.5),
                libtemplate-glib-1.0-dev (>= 3.28.0),
                libvala-dev,
-               libvte-2.91-dev (>= 0.46),
+               libvte-2.91-dev (>= 0.65.0),
                libwebkit2gtk-4.0-dev (>= 2.26),
                libxml2-dev (>= 2.9.0),
                llvm,
                llvm-dev,
-               meson (>= 0.54.0),
+               meson (>= 0.59.1),
                mm-common,
                libsysprof-ui-4-dev (>= 3.37.1) [linux-any],
                valac (>= 0.40),
+               valgrind-if-available,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
@@ -86,9 +89,9 @@
             gettext,
             meson,
             pkg-config,
-            python3-jedi,
             python3-lxml,
-            valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32]
+            valgrind-if-available
+Suggests: rubocop
 Description: IDE for GNOME
  Builder is a new IDE for GNOME that is focused on bringing the power of
  our platform to more developers than ever before.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 SYSPROF_PLUGIN = -Dplugin_sysprof=false
 endif
 
-ifneq (,$(filter amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32,$(DEB_HOST_ARCH)))
+# https://lists.debian.org/debian-devel/2022/02/msg00259.html
+ifeq "$(shell which valgrind > /dev/null && echo true)" "true"
 VALGRIND_PLUGIN = -Dplugin_valgrind=true
 else
 VALGRIND_PLUGIN = -Dplugin_valgrind=false

## gnome-builder 42.1

=== debian/changelog ===
gnome-builder (42.1-1build1) kinetic; urgency=medium

  * No-change rebuild against libgit2-1.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2022 23:04:26 +0000

gnome-builder (42.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 13:52:05 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-builder
 Section: editors
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                at-spi2-core <!nocheck>,

## gnome-builder 43~alpha1

=== debian/changelog ===
gnome-builder (43~alpha1-1) experimental; urgency=medium

  * New upstream release
  * Update Build-Depends for switch to gtk4 & libadwaita
    - Many other dependency updates
  * debian/control.in: Build-Depend on flatpak built against libsoup3
  * debian/control.in: Build-Depend on libeditorconfig-dev
  * debian/control.in: Build-Depend on libwebkit2gtk-5.0-dev
  * debian/control.in: Drop obsolete glade dependency
    - The future intended replacement is
      https://gitlab.gnome.org/chergert/drafting
  * debian/rules: Disable dsply plugin since dspy isn't in Debian yet
  * Build with llvm-14 to avoid build issue with Experimental's llvm-15
  * debian/gnome-builder.install: Install styles

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 09:05:24 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-builder
Section: editors
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream-util,
               at-spi2-core <!nocheck>,
               ca-certificates <!nocheck>,
               dbus <!nocheck>,
               python3-gi (>= 3.22.0),
               python3:any,
               debhelper-compat (= 12),
               desktop-file-utils,
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-sequence-python3,
               exuberant-ctags,
               gnome-pkg-tools,
               gobject-introspection (>= 1.48.0),
               libclang-14-dev,
               libcmark-dev (>= 0.29.0),
               libdevhelp-dev (>= 3.20.0),
               libeditorconfig-dev,
               libenchant-2-dev,
               libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
               libgit2-glib-1.0-dev (>= 1.1.0),
               libadwaita-1-dev (>= 1.2~alpha),
               libglib2.0-dev (>= 2.73),
               libgspell-1-dev (>= 1.2.0),
               libgtk-4-dev (>= 4.7.1),
               libgtksourceview-5-dev (>= 5.5),
               libjson-glib-dev (>= 1.2.0),
               libjsonrpc-glib-1.0-dev (>= 3.42.0),
               libpanel-dev (>= 1.0~alpha1),
               libpango1.0-dev (>= 1.38.0),
               libpcre3-dev,
               libpeas-dev (>= 1.32.0),
               libpolkit-gobject-1-dev (>= 0.105),
               libportal-dev (>= 0.5),
               libportal-gtk4-dev (>= 0.5),
               libsoup-3.0-dev,
               libtemplate-glib-1.0-dev (>= 3.35.0),
               libvala-dev,
               libvte-2.91-gtk4-dev (>= 0.69.0),
               libwebkit2gtk-5.0-dev,
               libxml2-dev (>= 2.9.0),
               llvm-14,
               llvm-14-dev,
               meson (>= 0.59.1),
               mm-common,
               libsysprof-ui-5-dev (>= 3.42.0) [linux-any],
               valac (>= 0.40),
               valgrind-if-available,
               xauth <!nocheck>,
               xvfb <!nocheck>,
# Don't (re)build libide api docs for now:
#               gtk-doc-tools,
Rules-Requires-Root: no
Standards-Version: 4.5.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
Homepage: https://wiki.gnome.org/Apps/Builder

Package: gnome-builder
Architecture: any
Depends: exuberant-ctags,
         gir1.2-adw-1 (>= 1.2~alpha),
         gir1.2-ggit-1.0 (>= 0.28.0.1),
         gir1.2-glib-2.0 (>= 1.62.0),
         gir1.2-gtk-4.0 (>= 4.6),
         gir1.2-gtksource-5 (>= 5.5),
         gir1.2-jsonrpc-1.0 (>= 3.42.0),
         gir1.2-panel-1,
         gir1.2-peas-1.0 (>= 1.32.0),
         gir1.2-webkit2-5.0,
         python3-gi,
         libvala-dev,
         clang-14,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: build-essential,
            flatpak-builder [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
            gettext,
            meson,
            pkg-config,
            python3-lxml,
            valgrind-if-available
Suggests: rubocop
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 our platform to more developers than ever before.
 .
 Builder attempts to be an IDE for writing software for GNOME. It does not try
 to be a generic IDE, but one specialized for GNOME application developers.

## gnome-builder 43~rc

=== debian/changelog ===
gnome-builder (43~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump dependencies per meson.build
  * Build with unversioned llvm/clang again
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 17:18:59 -0400

=== debian/control ===
--- 
+++ 
@@ -21,38 +21,38 @@
                exuberant-ctags,
                gnome-pkg-tools,
                gobject-introspection (>= 1.48.0),
-               libclang-14-dev,
+               libclang-dev,
                libcmark-dev (>= 0.29.0),
                libdevhelp-dev (>= 3.20.0),
                libeditorconfig-dev,
                libenchant-2-dev,
                libflatpak-dev (>= 1.13.3-2~) [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libgit2-glib-1.0-dev (>= 1.1.0),
-               libadwaita-1-dev (>= 1.2~alpha),
-               libglib2.0-dev (>= 2.73),
+               libadwaita-1-dev (>= 1.2.0),
+               libglib2.0-dev (>= 2.74),
                libgspell-1-dev (>= 1.2.0),
-               libgtk-4-dev (>= 4.7.1),
-               libgtksourceview-5-dev (>= 5.5),
+               libgtk-4-dev (>= 4.8),
+               libgtksourceview-5-dev (>= 5.6),
                libjson-glib-dev (>= 1.2.0),
                libjsonrpc-glib-1.0-dev (>= 3.42.0),
-               libpanel-dev (>= 1.0~alpha1),
+               libpanel-dev (>= 1.0.0),
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
-               libpeas-dev (>= 1.32.0),
+               libpeas-dev (>= 1.34.0),
                libpolkit-gobject-1-dev (>= 0.105),
                libportal-dev (>= 0.5),
                libportal-gtk4-dev (>= 0.5),
                libsoup-3.0-dev,
-               libtemplate-glib-1.0-dev (>= 3.35.0),
+               libtemplate-glib-1.0-dev (>= 3.36.0),
                libvala-dev,
-               libvte-2.91-gtk4-dev (>= 0.69.0),
+               libvte-2.91-gtk4-dev (>= 0.70.0),
                libwebkit2gtk-5.0-dev,
                libxml2-dev (>= 2.9.0),
-               llvm-14,
-               llvm-14-dev,
+               llvm,
+               llvm-dev,
                meson (>= 0.59.1),
                mm-common,
-               libsysprof-ui-5-dev (>= 3.42.0) [linux-any],
+               libsysprof-ui-5-dev (>= 3.46.0) [linux-any],
                valac (>= 0.40),
                valgrind-if-available,
                xauth <!nocheck>,
@@ -69,18 +69,18 @@
 Package: gnome-builder
 Architecture: any
 Depends: exuberant-ctags,
-         gir1.2-adw-1 (>= 1.2~alpha),
+         gir1.2-adw-1 (>= 1.2),
          gir1.2-ggit-1.0 (>= 0.28.0.1),
          gir1.2-glib-2.0 (>= 1.62.0),
-         gir1.2-gtk-4.0 (>= 4.6),
-         gir1.2-gtksource-5 (>= 5.5),
+         gir1.2-gtk-4.0 (>= 4.8),
+         gir1.2-gtksource-5 (>= 5.6),
          gir1.2-jsonrpc-1.0 (>= 3.42.0),
-         gir1.2-panel-1,
-         gir1.2-peas-1.0 (>= 1.32.0),
+         gir1.2-panel-1 (>= 1.0.0),
+         gir1.2-peas-1.0 (>= 1.34.0),
          gir1.2-webkit2-5.0,
          python3-gi,
          libvala-dev,
-         clang-14,
+         clang,
          ${gir:Depends},
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dnetwork_tests=false \
+		-Dplugin_dspy=false \
 		-Dplugin_update_manager=false \
 		$(FLATPAK_PLUGIN) \
 		$(SYSPROF_PLUGIN) \

## gnome-builder 43.0

=== debian/changelog ===
gnome-builder (43.0-1build1) kinetic; urgency=medium

  * Rebuild against new llvm-toolchain-15 with fixed symlinks.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 23 Sep 2022 15:49:45 +0200

gnome-builder (43.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 10:09:02 -0400

## gnome-builder 43.2

=== debian/changelog ===
gnome-builder (43.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Oct 2022 22:25:10 -0400

## gnome-builder 43.3

=== debian/changelog ===
gnome-builder (43.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 14:50:50 -0500

## gnome-builder 43.4

=== meson_options.txt ===
option('channel',
          type: 'combo',
       choices: [ 'other', 'flatpak-stable', 'flatpak-beta', 'flatpak-nightly' ],
   description: 'The distribution channel for Builder',
)

option('development', type: 'boolean', value: false, description: 'If this is a development build (org.gnome.Builder.Devel)')
option('tracing', type: 'boolean', value: false, description: 'Enable tracing of internals for troubleshooting Builder')
option('profiling', type: 'boolean', value: false, description: 'Enable profiling of the Builder codebase')
option('tcmalloc', type: 'boolean', value: false, description: 'Use tcmalloc for dynamic allocations')
option('with_safe_path', type: 'string', value: '', description: 'PATH variable to run build commands (default: platform-specific)')
option('gnome_sdk_version', type: 'string', value: 'master', description: 'The GNOME SDK release to use for templates')
option('help', type: 'boolean', value: false)
option('docs', type: 'boolean', value: false)
option('network_tests', type: 'boolean', value: true, description: 'Allow networking in unit-tests')
option('ctags_path', type: 'string', value: '')
option('webkit', type: 'feature', value: 'enabled', description: 'Enable features which require WebKit')

option('plugin_autotools', type: 'boolean')
option('plugin_bash_language_server', type: 'boolean')
option('plugin_blueprint', type: 'boolean')
option('plugin_buildstream', type: 'boolean')
option('plugin_c_pack', type: 'boolean')
option('plugin_cargo', type: 'boolean')
option('plugin_clang', type: 'boolean')
option('plugin_clangd', type: 'boolean', value: false)
option('plugin_clang_format', type: 'boolean')
option('plugin_cmake', type: 'boolean')
option('plugin_codespell', type: 'boolean')
option('plugin_code_index', type: 'boolean')
option('plugin_copyright', type: 'boolean')
option('plugin_ctags', type: 'boolean')
option('plugin_deviced', type: 'boolean', value: false)
option('plugin_dspy', type: 'boolean')
option('plugin_editorconfig', type: 'boolean')
option('plugin_eslint', type: 'boolean')
option('plugin_file_search', type: 'boolean')
option('plugin_flatpak', type: 'boolean')
option('plugin_gdb', type: 'boolean')
option('plugin_gdiagnose', type: 'boolean')
option('plugin_gettext', type: 'boolean')
option('plugin_git', type: 'boolean')
option('plugin_gopls', type: 'boolean')
option('plugin_gradle', type: 'boolean')
option('plugin_grep', type: 'boolean')
option('plugin_html_completion', type: 'boolean')
option('plugin_html_preview', type: 'boolean')
option('plugin_intelephense', type: 'boolean')
option('plugin_jdtls', type: 'boolean')
option('plugin_jedi_language_server', type: 'boolean')
option('plugin_jhbuild', type: 'boolean')
option('plugin_make', type: 'boolean')
option('plugin_make_templates', type: 'boolean')
option('plugin_markdown_preview', type: 'boolean')
option('plugin_maven', type: 'boolean')
option('plugin_meson', type: 'boolean')
option('plugin_meson_templates', type: 'boolean')
option('plugin_modelines', type: 'boolean')
option('plugin_mono', type: 'boolean')
option('plugin_newcomers', type: 'boolean')
option('plugin_notification', type: 'boolean')
option('plugin_npm', type: 'boolean')
option('plugin_phpize', type: 'boolean')
option('plugin_podman', type: 'boolean')
option('plugin_pygi', type: 'boolean')
option('plugin_qemu', type: 'boolean')
option('plugin_quick_highlight', type: 'boolean')
option('plugin_retab', type: 'boolean')
option('plugin_rstcheck', type: 'boolean')
option('plugin_rubocop', type: 'boolean')
option('plugin_rust_analyzer', type: 'boolean')
option('plugin_shellcmd', type: 'boolean')
option('plugin_shellcheck', type: 'boolean')
option('plugin_spellcheck', type: 'boolean')
option('plugin_sphinx_preview', type: 'boolean')
option('plugin_stylelint', type: 'boolean')
option('plugin_sysprof', type: 'boolean')
option('plugin_sysroot', type: 'boolean')
option('plugin_todo', type: 'boolean')
option('plugin_ts_language_server', type: 'boolean')
option('plugin_update_manager', type: 'boolean')
option('plugin_valac', type: 'boolean')
option('plugin_vala_indenter', type: 'boolean')
option('plugin_valgrind', type: 'boolean')
option('plugin_vls', type: 'boolean')
option('plugin_waf', type: 'boolean')
option('plugin_words', type: 'boolean')
option('plugin_xml_pack', type: 'boolean')

=== debian/changelog ===
gnome-builder (43.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Dec 2022 09:35:44 -0500

=== debian/control ===
--- 
+++ 
@@ -58,9 +58,9 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
 # Don't (re)build libide api docs for now:
-#               gtk-doc-tools,
+#               gi-docgen,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-builder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-builder.git
